%define hal_version 0.5.4
Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 2.24.1
Release: %mkrel 1
License: GPLv2+
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-cdda-handler
Source2: cdda-url-handler.schemas
# (fc) 1.0.3-1mdk use dynamic script to start apps
Patch0: gnome-volume-manager-2.24.1-dynamic.patch
# (fc) 1.0.3-3mdk respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties 
Patch1: gnome-volume-manager-2.15.0-hint.patch
# (fc) 1.5.15-1mdk don't set sync mount option
Patch2: gnome-volume-manager-nosync.patch
# (fc) 1.5.15-4mdv enable SM connection
Patch4:	gnome-volume-manager-2.24.0-enablesm.patch
# (fc) 2.15.0-2mdv fix console detection (Fedora)
Patch5: gnome-volume-manager-2.17.0-fixconsole.patch
# (fc) 2.17.0-2mdv disable automount when screensaver is running (Fedora)
Patch6: gnome-volume-manager-2.22.0-check-screensaver.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: hal-devel >= %hal_version
BuildRequires: libnotify-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: autoconf2.5
BuildRequires: libnotify-devel
Requires: gnome-mount >= 0.6-3
Requires: dynamic >= 0.26.14
Obsoletes: magicdev
Provides: magicdev

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Volume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch0 -p1 -b .dynamic
%patch1 -p1 -b .hint
%patch2 -p1 -b .nosync
%patch4 -p1 -b .enablesm
%patch5 -p1 -b .fixconsole
%patch6 -p1 -b .check-screensaver

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --add-category="HardwareSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


cat << EOF > $RPM_BUILD_ROOT%{_bindir}/magicdev
#!/bin/sh
#
# This is a compatibility wrapper script to start gnome-volume-manager
# for users who previously used magicdev.  This script will be invoked
# automatically by the session manager until the user saves his/her
# session.
exec gnome-volume-manager $*
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/magicdev

install -d $RPM_BUILD_ROOT%{_libdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/gnome-cdda-handler
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-volume-manager cdda-url-handler
%post
%update_menus
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%{_datadir}/gnome-volume-manager
%{_datadir}/applications/*
%_libexecdir/%name
%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas
%{_sysconfdir}/gconf/schemas/gnome-volume-manager.schemas
%{_sysconfdir}/xdg/autostart/*


%changelog
* Sat Apr 25 2009 siamer <siamer@wp.pl> 2.24.1-1pclos2009
- new version 2.24.1, without gnome-volume-manager-2.24.0-ignorevolume.patch

* Wed Oct 22 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.0-1pclos2007
- New version 2.24.0


